# @lfiskr/vue-ui-components [![NPM version](https://badge.fury.io/js/@lfiskr/vue-ui-components.svg)](https://npmjs.org/package/@lfiskr/vue-ui-components) [![Build Status](https://travis-ci.org/Lasse-Fisker/@lfiskr/vue-ui-components.svg?branch=master)](https://travis-ci.org/Lasse-Fisker/@lfiskr/vue-ui-components)

> A set of UI Components for Vue2. Very much a work in progress - use at own risk

## Installation

```sh
$ npm install --save @lfiskr/vue-ui-components
```

## Usage

```js
import Vue from "Vue";
import UiComponents from "@lfiskr/vue-ui-components";
Vue.use(UiComponents);
```

An optional config object can be passed as well. The option definition can be found in the models section.

```js
import Vue from "Vue";
import UiComponents from "@lfiskr/vue-ui-components";

const options = {
  theme: {
    primary: "#245e3b"
  }
};
Vue.use(UiComponents);
```

Included components

TimelineComponent: The timeline component accepts an array of TimelineItems.

| Prop  | Type           |
| ----- | -------------- |
| items | TimelineItem[] |

```ts
export interface TimelineItem {
  title: string;
  subtitles?: string[];
  text: string;
  icon?: Icon;
}
```

Jumbotron: The jumbotron component accepts two named slots, left and right. This is the content that goes in the left and right section respectively.

## License

MIT © [Lasse Fisker]()
